> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates Payment Method

> Updates Payment Method information.



## OpenAPI

````yaml openapi/ecommerce.yaml patch /public/{user_id}/payment-methods/{paymentMethod_uuid}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/payment-methods/{paymentMethod_uuid}:
    patch:
      tags:
        - Payment
      summary: Updates Payment Method
      description: Updates Payment Method information.
      operationId: updatesPaymentMethod
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: dolorem
        - name: paymentMethod_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: add98189-9522-3fc9-b946-f51877d8a18d
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                make_default:
                  type: boolean
                  description: ''
                  nullable: true
                  example: true
            example:
              make_default: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 013b937c-8a69-39ba-b3a2-6861da3a6062
                      type:
                        type: string
                        example: card
                      is_default:
                        type: boolean
                        example: true
                      details:
                        type: object
                        properties:
                          card_brand:
                            type: string
                            example: mastercard
                          card_last_four:
                            type: string
                            example: '4444'
                          card_expiry_month:
                            type: integer
                            example: 4
                          card_expiry_year:
                            type: integer
                            example: 2044
                example:
                  data:
                    uuid: 013b937c-8a69-39ba-b3a2-6861da3a6062
                    type: card
                    is_default: true
                    details:
                      card_brand: mastercard
                      card_last_four: '4444'
                      card_expiry_month: 4
                      card_expiry_year: 2044
              example:
                data:
                  uuid: 013b937c-8a69-39ba-b3a2-6861da3a6062
                  type: card
                  is_default: true
                  details:
                    card_brand: mastercard
                    card_last_four: '4444'
                    card_expiry_month: 4
                    card_expiry_year: 2044
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````